package com.example.tasks.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.NavController
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.example.tasks.screens.HistoryChief
import com.example.tasks.screens.TasksChief
import com.example.tasks.screens.WorkingChief

@Composable
fun BottomNavGraphChief(
    navController: NavHostController,
    surname: String,
    name: String,
    patronymic: String,
    division: String,
    navController2: NavController
) {
    NavHost(
        navController = navController,
        startDestination = Screen.TasksChief.route,
    ) {
        composable(Screen.TasksChief.route) {
            TasksChief(
                name = name,
                surname = surname,
                patronymic = patronymic,
                division = division,
                navController2 = navController2
            )
        }
        composable(Screen.WorkingChief.route) {
            WorkingChief(
                name = name,
                surname = surname,
                patronymic = patronymic,
                division = division,
                navController = navController,
                navController2 = navController2
            )
        }
        composable(Screen.HistoryChief.route) {
            HistoryChief(surname, name, patronymic)
        }
    }
}